Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.fieldvalue
Interface FieldValueItemHolder

All Known Implementing Classes:
  DefaultFieldValueItemHolder

    public interface FieldValueItemHolder

Interface that wraps list of `FieldValueItem` objects

Field Summary
`static int` | `DEFAULT_INT_VALUE`
`static Integer` | `DEFAULT_ROW`

Method Summary
`void` | `addFieldValueItems(String keyField, FieldValueItemHolder fieldValueItemHolder)` This method appends of the current holder with passed holder.
`FilteredMap` | `asFilteredMap(String prefix)` Returns the current object represented as a series of key value pairs, if the `FieldValueItem`'s key begins with the passed prefix.
`List` | `asList()` Returns the current object representation as a list of FieldValueItemHolder objects
`boolean` | `getBoolean(String key)`
`int` | `getInt(String key)` Returns the value as a int, using the `DEFAULT_ROW` as the row
`List` | `getListOfStrings(String key)` Gets all of the matching keys as a `List` of `String`s
`String` | `getString(String key)` Gets a string value for the passsed key, using the `DEFAULT_ROW` as the row.
`String` | `getString(String key, Integer row)` Gets a string value for the passsed key and row
`void` | `setFieldValueItem(FieldValueItem fieldValueItem)` Adds a `FieldValueItem` to the list.
`void` | `setFieldValueItem(String key, boolean value)` Adds a simple `FieldValueItem` for with the given keys.
`void` | `setFieldValueItem(String key, int value)` Adds a simple `FieldValueItem` for with the given keys.
`void` | `setFieldValueItems(FieldValueItemHolder fieldValueItemHolder)` Sets the values of the passed holder into the current object.
`void` | `setFieldValueItems(Map params)` Sets the values of the passed holder into the current object.
`void` | `setFieldValueItems(String key, List values)` Sets a list of strings given a key
`void` | `setProperty(String key, String value)` Adds a simple `FieldValueItem` for with the given keys.

Field Detail

### DEFAULT_INT_VALUE

    static final int DEFAULT_INT_VALUE

See Also:
  Constant Field Values

### DEFAULT_ROW

    static final Integer DEFAULT_ROW

Method Detail

### setFieldValueItem

    void setFieldValueItem(FieldValueItem fieldValueItem)

  Adds a `FieldValueItem` to the list. Overrodes if exists.

  Parameters:
    `fieldValueItem` - - must not be null

### setProperty

    void setProperty(String key,
                     String value)

  Adds a simple `FieldValueItem` for with the given keys. This will over-ride field if the property already exists.

  Parameters:
    `key` - - must not be null
    `value` - - can be null

### setFieldValueItem

    void setFieldValueItem(String key,
                           int value)

  Adds a simple `FieldValueItem` for with the given keys. This will over-ride field if the property already exists. This will still store the int as a string

  Parameters:
    `key` - - must not be null
    `value` -

### setFieldValueItem

    void setFieldValueItem(String key,
                           boolean value)

  Adds a simple `FieldValueItem` for with the given keys. This will over-ride field if the property already exists.

  Parameters:
    `key` - - must not be null
    `value` -

### setFieldValueItems

    void setFieldValueItems(FieldValueItemHolder fieldValueItemHolder)

  Sets the values of the passed holder into the current object. This will over-ride matching `FieldValueItem`s

  Parameters:
    `fieldValueItemHolder` - - must not be null

### setFieldValueItems

    void setFieldValueItems(String key,
                            List values)

  Sets a list of strings given a key

  Parameters:
    `key` - not null
    `values` - `List` of Strings. Nullable

### setFieldValueItems

    void setFieldValueItems(Map params)

  Sets the values of the passed holder into the current object. This will over-ride matching `FieldValueItem`s

  Parameters:
    `params` - - Map must not be null. It must also have a String for a key and value

### addFieldValueItems

    void addFieldValueItems(String keyField,
                            FieldValueItemHolder fieldValueItemHolder)

  This method appends of the current holder with passed holder. The key field, which must not be null, will be used as the identifier field to see which row the new fieldValueItemHolder will be added to. It will look at

  Parameters:
    `keyField` -
    `fieldValueItemHolder` -

### getString

    String getString(String key)

  Gets a string value for the passsed key, using the `DEFAULT_ROW` as the row.

  Parameters:
    `key` - must not be null
  Returns:
    the value - Null if value doesn't exist

### getInt

    int getInt(String key)

  Returns the value as a int, using the `DEFAULT_ROW` as the row

  Parameters:
    `key` - must not be null
  Returns:
    int value. `DEFAULT_INT_VALUE` if no key exists
  Throws:
    `{@link` - NumberFormatException]} if the value cannot be parsed.

### getBoolean

    boolean getBoolean(String key)

### getString

    String getString(String key,
                     Integer row)

  Gets a string value for the passsed key and row

  Parameters:
    `key` - must not be null
    `row` - must not be null
  Returns:
    the value - Null if value doesn't exist

### getListOfStrings

    List getListOfStrings(String key)

  Gets all of the matching keys as a `List` of `String`s

  Parameters:
    `key` -
  Returns:
    `List` of `String`s. Mepty if no values

### asList

    List asList()

  Returns the current object representation as a list of FieldValueItemHolder objects

  Returns:
    `List` of `FieldValueItemHolder`s. Never null.

### asFilteredMap

    FilteredMap asFilteredMap(String prefix)

  Returns the current object represented as a series of key value pairs, if the `FieldValueItem`'s key begins with the passed prefix. If there are multiple `FieldValueItem` withe the same key, (ie. multiple rows) then the actual value returned is unpredictable (so obviously should be avoided). Values that do not match the prefix are not added

  Parameters:
    `prefix` - - must not be null
  Returns:
    `FilteredMap` filtered by the prefix. Empty map if no mataches.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.